// Copyright 1995 by Jon Dart  All Rights Reserved.
// genlpref.cpp : implementation file
//

#include "stdafx.h"
#include "genlpref.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// GeneralPrefsPage property page

IMPLEMENT_DYNCREATE(GeneralPrefsPage, CPropertyPage)

GeneralPrefsPage::GeneralPrefsPage() : CPropertyPage(GeneralPrefsPage::IDD)
{
	//{{AFX_DATA_INIT(GeneralPrefsPage)
	m_BeepAfterMove = FALSE;
	m_BeepOnError = FALSE;
	m_CanResign = FALSE;
	m_ThinkWhenIdle = FALSE;
	//}}AFX_DATA_INIT
}

GeneralPrefsPage::~GeneralPrefsPage()
{
}

void GeneralPrefsPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(GeneralPrefsPage)
	DDX_Check(pDX, ID_BEEPAFTERMOVE, m_BeepAfterMove);
	DDX_Check(pDX, ID_BEEPONERROR, m_BeepOnError);
	DDX_Check(pDX, ID_CANRESIGN, m_CanResign);
	DDX_Check(pDX, ID_THINKWHENIDLE, m_ThinkWhenIdle);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(GeneralPrefsPage, CPropertyPage)
	//{{AFX_MSG_MAP(GeneralPrefsPage)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// GeneralPrefsPage message handlers

